---
layout: docs
title: Test API
permalink: /documentation/test-api/
checked: true
---
# Test API

TestCafe allows you to write tests using JavaScript, [TypeScript](typescript-support.md) and [CoffeeScript](coffeescript-support.md).

The following topics demonstrate how to organize test code:

* [Test Code Structure](test-code-structure.md)

The following topics describe the API used to manipulate the webpage and check its state:

* [Actions](actions/README.md)
* [Selecting Page Elements](selecting-page-elements/README.md)
* [Assertions](assertions/README.md)
* [Obtaining Data From the Client](obtaining-data-from-the-client/README.md)
* [Intercepting HTTP Requests](intercepting-http-requests/README.md)
* [Built-In Waiting Mechanisms](built-in-waiting-mechanisms.md)
* [Authentication](authentication/README.md)
* [Pausing the Test](pausing-the-test.md)
* [Handling Native Dialogs](handling-native-dialogs.md)
* [Working with \<iframes\>](working-with-iframes.md)
* [Debugging](debugging.md)
* [Identify the Browser and Platform](identify-the-browser-and-platform.md)
* [Accessing Console Messages](accessing-console-messages.md)
